<div *ngIf="visualizza_add; else buttonAdd">
  <form [formGroup]="myForm" (ngSubmit)="onSubmit(myForm.value)">
    Id: <input type="text" formControlName="id">
    Titolo: <input type="text" formControlName="titolo">
    Autore: <input type="text" formControlName="autore">
    Prezzo: <input type="text" formControlName="prezzoCopertina">
    <button type="submit">aggia</button>
    <button (click)="annullaAdd()">NOPENOPENOP</button>
  </form>
</div>
<ng-template #buttonAdd>
  <button (click)="visualizzaAdd()">Visualizza Add</button>

  <li *ngFor="let libro of $libri|async">
    {{libro|json}}
  </li>

</ng-template>